
# Important

Please use your local IP to setup Little Link Custom

Afterwords, your exposed domain is good to go!

There is an issue with the [installer](https://github.com/JulianPrieber/littlelink-custom/issues/354)!
# Default Login

Email: admin@admin.com
Password: 12345678

The plug-and-play approach to LittleLink, with advanced features.

_The open-source alternative to LinkTree and similar._

[Function](https://github.com/JulianPrieber/littlelink-custom#Function) • [About](https://github.com/JulianPrieber/littlelink-custom#About) • [Demo](https://github.com/JulianPrieber/littlelink-custom#Demo) • [Features](https://github.com/JulianPrieber/littlelink-custom#Features) • [Installation](https://github.com/JulianPrieber/littlelink-custom#Installation) • [Docker Version](https://github.com/JulianPrieber/littlelink-custom#Docker) • [Updating](https://github.com/JulianPrieber/littlelink-custom#Updating) • [Discord](https://github.com/JulianPrieber/littlelink-custom#Discord) • [Fork structure](https://github.com/JulianPrieber/littlelink-custom#Fork-Structure) • [License](https://github.com/JulianPrieber/littlelink-custom#License) • [Supporters](https://github.com/JulianPrieber/littlelink-custom#Supporters) • [Special thanks](https://github.com/JulianPrieber/littlelink-custom#Special-thanks) • [Additional credit](https://github.com/JulianPrieber/littlelink-custom#Additional-credit)

---

[New features and additions](https://github.com/JulianPrieber/littlelink-custom/discussions/49)

_Make suggestions for additional features to be added to the list._

---

## [](https://github.com/JulianPrieber/littlelink-custom#function)Function

**LittleLink Custom offers** a unique solution for managing and sharing links online. Our platform provides **a website similar to** [Linktree](https://linktr.ee/), allowing users to **overcome the limitation of only being able to add one link on social media platforms**. By **linking to your LittleLink Custom page**, users can easily **access all the links they need** in one convenient location.

Our platform allows users to **host their links on their own web-server or web-hosting provider**, ensuring easy accessibility and control over their online presence. Additionally, **other users can register and create their own links**, making it an ideal solution for businesses and organizations looking to manage multiple links.

Our platform also includes an **Admin Panel**, enabling users to easily **access other user's links**, making it an ideal solution for businesses and organizations looking to manage multiple links. Overall, LittleLink Custom provides an efficient and user-friendly solution for streamlining online presence.

## [](https://github.com/JulianPrieber/littlelink-custom#about)About

**LittleLink Custom** is a fork of [LittleLink Admin](https://github.com/latuminggi/littlelink-admin) with a **set goal** of making the admin panel **easier to use and setup** for inexperienced and first-time users, with the addition of **many custom features** themed around customization for the individual users' LittleLink pages.

**LittleLink Custom** was developed to simplify the usage and setup of LittleLink and LittleLink Admin for individuals who have minimal coding experience or limited knowledge of web hosting. This project is designed in a way that allows for **drag and drop** implementation of the LittleLink Custom **directory onto** your web host's **root directory**, eliminating the need for source code manipulation or dealing with complex terminal commands.

In addition to a user-friendly setup process, this fork offers **numerous custom features** that enhance the user experience, including a **dark mode** that automatically applies based on your operating system's or browser theme settings, and light unobtrusive **CSS animations** for an aesthetically pleasing **responsive design**. These and other small changes, when combined, provide a substantial feature set that **differentiates LittleLink Custom from other forks**.

## [](https://github.com/JulianPrieber/littlelink-custom#demo)Demo

### [](https://github.com/JulianPrieber/littlelink-custom#try-a-live-demonstration-of-the-littlelink-page-and-all-its-features)Try a live demonstration of the LittleLink page and all its features

This is a full-fledged demo of the website, complete with login and register functionality. Feel free to register your account and try out all the features of LittleLink Custom.

[![Live Demo](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/badges/live_demo.png)](https://demo.littlelink-custom.com/)

## [](https://github.com/JulianPrieber/littlelink-custom#features)Features

|                                                | LittleLink Custom | LittleLink Admin¹ | LittleLink |
| ---------------------------------------------- | :---------------: | :---------------: | :--------: |
| Creating a link page with more than 30 buttons |        ✔️         |        ✔️         |     ✔️     |
| Code free setup                                |        ✔️         |        ✔️         |     ❌     |
| Ordering links                                 |        ✔️         |        ✔️         |     ❌     |
| Counting clicks                                |        ✔️         |        ✔️         |     ❌     |
| Managing users and pages and links             |        ✔️         |        ✔️         |     ❌     |
| Automatic dark mode detection                  |        ✔️         |        ✖️²        |     ❌     |
| Arrange links via drag and drop                |        ✔️         |        ❌         |     ❌     |
| Button hover animations                        |        ✔️         |        ❌         |     ❌     |
| Custom link option                             |        ✔️         |        ❌         |     ❌     |
| Social Share Preview for individual users      |        ✔️         |        ❌         |     ❌     |
| Update notice if new version is available      |        ✔️         |        ❌         |     ❌     |
| Built-in SMTP server                           |        ✔️         |        ❌         |     ❌     |
| Visual HTML editor to edit text                |        ✔️         |        ❌         |     ❌     |
| Setup without command line                     |        ✔️         |        ❌         |     ❌     |
| Custom Theme support                           |        ✔️         |        ❌         |     ❌     |
| Built-in updater                               |        ✔️         |        ❌         |     ❌     |
| Button Editor with Font Awesome support        |        ✔️         |        ❌         |     ❌     |
| External Analytics Support                     |        ✔️         |        ❌         |     ➖     |
| Ability to customize Home Page                 |        ✔️         |        ❌         |     ➖     |

¹[littlelink-admin](https://github.com/latuminggi) by [latuminggi](https://github.com/latuminggi/littlelink-admin) | ²Not fully implemented on most pages

### [](https://github.com/JulianPrieber/littlelink-custom#all-littlelink-custom-pages-automatically-apply-the-dark-mode-theme-if-your-preferred-theme-setting-in-your-browser-or-operating-system-is-set-to-dark)All LittleLink Custom pages automatically apply the Dark Mode Theme if your preferred theme setting in your browser or operating system is set to dark.

[![](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/dark_mode.png)](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/dark_mode.png)

### [](https://github.com/JulianPrieber/littlelink-custom#lightweight-css-animations)Lightweight CSS animations

[![](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/css_animations.gif)](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/css_animations.gif) [![css_animations.gif](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/css_animations.gif)

](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/css_animations.gif)[](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/css_animations.gif)

### [](https://github.com/JulianPrieber/littlelink-custom#custom-themes)Custom Themes

Customize the look of your LittleLink Custom instance with themes. Themes allow you to change the look and feel of your site with a few clicks. Users can submit themes they created for everyone to download and use.

Contribute by designing your own themes. You can read more about contributing below.

| [![preview1](https://user-images.githubusercontent.com/60265788/169555321-0bc67664-ce3f-48e7-a4c2-9988a3079ce4.png)](https://user-images.githubusercontent.com/60265788/169555321-0bc67664-ce3f-48e7-a4c2-9988a3079ce4.png) | [![preview2](https://user-images.githubusercontent.com/60265788/169555323-8972dfe4-f46e-45f1-a3fc-1b0fc226147d.png)](https://user-images.githubusercontent.com/60265788/169555323-8972dfe4-f46e-45f1-a3fc-1b0fc226147d.png) |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [![preview3](https://user-images.githubusercontent.com/60265788/169555309-811ea607-b4f0-4ef5-8d99-92026995371d.png)](https://user-images.githubusercontent.com/60265788/169555309-811ea607-b4f0-4ef5-8d99-92026995371d.png) | [![preview4](https://user-images.githubusercontent.com/60265788/169555313-557428e6-a1c3-42dc-b6e4-bca72e4f570a.png)](https://user-images.githubusercontent.com/60265788/169555313-557428e6-a1c3-42dc-b6e4-bca72e4f570a.png) |

You can find all available Themes on here: [littlelink-custom.com/themes](https://littlelink-custom.com/themes.php)

### [](https://github.com/JulianPrieber/littlelink-custom#how-to-add-themes)How to add themes

#### [](https://github.com/JulianPrieber/littlelink-custom#how-to-add-themes-to-your-littlelink-custom-instance)How to add themes to your LittleLink Custom instance

You can add your downloaded themes to your LittleLink Custom instance on the Admin Panel. Navigate to the 'Themes' tab and scroll to the bottom of the page.

Now click on Choose file and select your downloaded theme zip file. Now click on 'Upload theme' and you should be able to select your uploaded theme now.

### [](https://github.com/JulianPrieber/littlelink-custom#themes-are-envisioned-to-be-made-by-users-for-users)**Themes are envisioned to be made by users for users.**

If you know a bit about CSS, consider making your own theme and adding it to the public directory. Everything is documented in the dedicated GitHub repository.

[github.com/JulianPrieber/llc-themes/tree/main/contributing](https://github.com/JulianPrieber/llc-themes/tree/main/contributing)

### [](https://github.com/JulianPrieber/littlelink-custom#infinite-button-combinations-with-the-built-in-button-editor)Infinite button combinations with the built in Button Editor

#### [](https://github.com/JulianPrieber/littlelink-custom#create-custom-background-colors-and-gradients-with-as-many-colors-you-want)Create custom background colors and gradients with as many colors you want.

[![](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/colors_gradients.png)](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/colors_gradients.png)

#### [](https://github.com/JulianPrieber/littlelink-custom#add-custom-icons-with-font-awesome)Add custom icons with Font Awesome

[![](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/icons_font_awesome.png)](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/icons_font_awesome.png)

#### [](https://github.com/JulianPrieber/littlelink-custom#get-a-live-preview-of-your-edits)Get a live preview of your edits.

[![](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/live_preview.png)](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/live_preview.png)

### [](https://github.com/JulianPrieber/littlelink-custom#built-in-updater)Built in updater

#### [](https://github.com/JulianPrieber/littlelink-custom#this-updater-allows-users-to-update-their-installation-with-just-one-click)This updater allows users to update their installation with just one click.

[![](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/updater.png)](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/updater.png)

## [](https://github.com/JulianPrieber/littlelink-custom#installation)Installation

### [](https://github.com/JulianPrieber/littlelink-custom#downloading-and-installing-steps)Downloading and installing steps:

- **[Download](https://github.com/JulianPrieber/littlelink-custom/releases)** the latest release of LittleLink Custom and simply place the folder 'littlelink-custom' or the contents of this folder in the root directory of your website.

### [](https://github.com/JulianPrieber/littlelink-custom#thats-it-no-coding-no-command-line-setup-just-plug-and-play)That's it! No coding no command line setup just plug and play.

#### [](https://github.com/JulianPrieber/littlelink-custom#go-through-the-first-setup-page)Go through the first setup page:

When accessing your instance for the first time, you will be greeted by the first setup page.

[![](https://user-images.githubusercontent.com/60265788/204514743-5da1ae4e-4fb0-45e4-bbf3-183595c08d99.png)](https://user-images.githubusercontent.com/60265788/204514743-5da1ae4e-4fb0-45e4-bbf3-183595c08d99.png)

## [](https://github.com/JulianPrieber/littlelink-custom#docker)Docker

[![](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/docker_edition.png)](https://github.com/JulianPrieber/llc-docker)

The official docker version of [LittleLink Custom](https://github.com/JulianPrieber/littlelink-custom). This docker image is a simple to set up solution, containing everything you need to run LittleLink Custom.

The docker version of LittleLink Custom retains all the features and customization options of the [original version](https://github.com/JulianPrieber/littlelink-custom).

This docker is based on [Alpine Linux](https://www.alpinelinux.org/), a Linux distribution designed to be small, simple and secure. The web server is running [Apache2](https://www.apache.org/), a free and open-source cross-platform web server software. The docker comes with [PHP 8.0](https://www.php.net/releases/8.0/en.php) for high compatibility and performance.

#### [](https://github.com/JulianPrieber/littlelink-custom#using-the-docker-is-as-simple-as-pulling-and-deploying)Using the docker is as simple as pulling and deploying.

#### [](https://github.com/JulianPrieber/littlelink-custom#pull)Pull

`docker pull julianprieber/littlelink-custom`

#### [](https://github.com/JulianPrieber/littlelink-custom#learn-more-about-the-docker-version)[Learn more about the Docker version](https://github.com/JulianPrieber/llc-docker)

## [](https://github.com/JulianPrieber/littlelink-custom#updating)Updating

When a **new version** is released, you will get an update notification on your Admin Panel.

### [](https://github.com/JulianPrieber/littlelink-custom#automatic-one-click-updater)Automatic one click Updater

This updater allows you to update your installation with just one click.

**How to use the Automatic Updater:**

- To update your instance, click on the update notification on your Admin Panel.
- Click on “Update automatically” and the updater will take care of the rest.

You can still download updates manually. New versions will are still uploaded to the GitHub repository as usual.

Before updating, the updater will create a backup. Your instance won’t save more than two backups at a time. You can download these updates from the created folder: `backups\updater-backups`.

If you switched your database to MySQL, your database will not be included in the backup.

## [](https://github.com/JulianPrieber/littlelink-custom#discord)Discord

[![Join the Discord](https://raw.githubusercontent.com/LittleLink-Custom/branding/main/marketing/discord.png)](https://discord.littlelink-custom.com)

## [](https://github.com/JulianPrieber/littlelink-custom#fork-structure)Fork-Structure

> _Fork of a fork of a fork of LittleLink..._

#### [](https://github.com/JulianPrieber/littlelink-custom#littlelink-fork-tree)LittleLink fork-tree:

```
LittleLink
   │
   └── LittleLink Admin
         │
         └── LittleLink Admin (fork)
               │
               └── LittleLink Custom

```

LittleLink Custom is a fork of LittleLink Admin.

> "LittleLink Admin is an admin panel for littlelink that provides you a website similar to [Linktree](https://linktr.ee)."

LittleLink Admin is in itself a fork of [LittleLink](https://github.com/sethcottle/littlelink)

> "LittleLink is a lightweight DIY alternative to services like [Linktree](https://linktr.ee) and [many.link](https://many.link/). LittleLink was built using [Skeleton](http://getskeleton.com/), a dead simple, responsive boilerplate—we just stripped out some additional code you wouldn't need and added in branded styles for popular services."

## [](https://github.com/JulianPrieber/littlelink-custom#license)License

[![License: GPL v3](https://camo.githubusercontent.com/f5c0c9c38a878da4c22ce45c59d29da4e94da0e671e99a17df2a2865f3bce520/68747470733a2f2f696d672e6c6c632e6f76682f62616467652f4c6963656e73652d47504c76332d626c75652e737667)](https://raw.githubusercontent.com/JulianPrieber/littlelink-custom/main/LICENSE?token=GHSAT0AAAAAABRPYRQAPFRUGQA4A2OMFBUQYQWHZCQ)

## [](https://github.com/JulianPrieber/littlelink-custom#supporters)Supporters

You can support LittleLink Custom [here](https://littlelink-custom.com/sponsor). If you choose to support LittleLink Custom, you will get exclusive rewards such as access to a private LittleLink Custom instance hosted by us at [llc.ovh](https://llc.ovh) for free.

**💖 Thank you:**

- Stephen Marshall
- [Jascha Urbach](https://github.com/jaschaurbach)
- [LeoColman](https://github.com/LeoColman)
- [Eric Chung](https://github.com/erickchung)
- [Daltz](https://github.com/Daltz)
- [Jan Klomp](https://github.com/escuco)
- [AnhDOS](https://github.com/AnhDOS)
- [MrSpuddy](https://github.com/MrSpuddy)
- [Add Your Name](https://littlelink-custom.com/sponsor)

## [](https://github.com/JulianPrieber/littlelink-custom#special-thanks)Special-thanks

### [](https://github.com/JulianPrieber/littlelink-custom#special-thanks-to)special thanks to:

- [Seth Cottle](https://github.com/sethcottle) for creating [LittleLink](https://github.com/sethcottle/littlelink) the base of all this.
- [Khashayar Zavosh](https://github.com/khashayarzavosh) for creating [LittleLink Admin](https://github.com/khashayarzavosh/littlelink-admin), the base framework of the admin panel and many other essentials features of this project.
- [Aprillio Latuminggi (latuminggi)](https://github.com/latuminggi) for creating the fork this fork is based on [LittleLink Admin (fork)](https://github.com/latuminggi/littlelink-admin)

#### [](https://github.com/JulianPrieber/littlelink-custom#thank-you)Thank you!

| [![sethcottle](https://avatars.githubusercontent.com/u/1301949?v=4)](https://github.com/sethcottle) | [![khashayarzavosh](https://avatars.githubusercontent.com/u/60265643?v=4)](https://avatars.githubusercontent.com/u/60265643?v=4) | [![latuminggi](https://avatars.githubusercontent.com/u/6211719?v=4)](https://avatars.githubusercontent.com/u/6211719?v=4) |
| :-------------------------------------------------------------------------------------------------: | :------------------------------------------------------------------------------------------------------------------------------: | :-----------------------------------------------------------------------------------------------------------------------: |
|                                             Seth Cottle                                             |                                                         Khashayar Zavosh                                                         |                                                    Aprillio Latuminggi                                                    |
|                     **[LittleLink](https://github.com/sethcottle/littlelink)**                      |                           **[LittleLink Admin](https://github.com/khashayarzavosh/littlelink-admin)**                            |                       **[LittleLink Admin (fork)](https://github.com/latuminggi/littlelink-admin)**                       |

### [](https://github.com/JulianPrieber/littlelink-custom#contributors)Contributors

Thank you for improving LittleLink Custom!

[![Contributors](https://camo.githubusercontent.com/b5084d29ba21dc56ae72aa0551cdbd20b14e174619fbd1fcf33d4b9b8e3c5b90/68747470733a2f2f7570646174652e6c6974746c656c696e6b2d637573746f6d2e636f6d2f636f6d706f6e656e74732f636f6e7472696275746f72732f)](https://github.com/JulianPrieber/littlelink-custom/graphs/contributors)

### [](https://github.com/JulianPrieber/littlelink-custom#beta-testers)Beta Testers

Thank you for all your efforts!

[![Contributors](https://camo.githubusercontent.com/0b46511c785b72956e2ee8d0f41cf9e898a0c2a63fa7f91b6b7ee894d75c985c/68747470733a2f2f7570646174652e6c6974746c656c696e6b2d637573746f6d2e636f6d2f636f6d706f6e656e74732f626574612d746573746572732f)](https://littlelink-custom.com/beta-tester)

[Become a beta tester](https://littlelink-custom.com/beta-tester)

## [](https://github.com/JulianPrieber/littlelink-custom#additional-credit)Additional-credit

- [laravel](https://github.com/laravel/laravel)
- [panel template](https://colorlib.com/wp/bootstrap-sidebar)
- [button animations](https://github.com/IanLunn/Hover)
- [general animations](https://github.com/animate-css/animate.css)
- [config editor](https://github.com/GeoSot/Laravel-EnvEditor)
- [text editor](https://github.com/ckeditor/ckeditor4)
- [updater backend](https://github.com/codedge/laravel-selfupdater)
- [backup backend](https://github.com/spatie/laravel-backup)
